/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id: AdminMBean.java,v 1.2 2005/09/15 14:22:14 goebelg Exp $
* --------------------------------------------------------------------------
*/
package org.objectweb.jimys.monitoredSystem.admin;

import javax.management.*;
import java.util.Collection;

/**
* AdminMBean
* @author Georges Goebel, Marc Calvisi
*/
public interface AdminMBean {
    /**
     * Creates the pump
     * @param className The class name of the pump @depreciate not used
     * @throws JMException
     */
    public void createPump(String className, Long sampleRate) throws JMException;


    /**
     * Register a probe in the pump. Start a new Stread in the pump which collects the data of the new probe
     * @param pump The objectname of the pump
     * @param probe The objectname of the probe
     * @param attributes The collection of the probe attributes to monitor
     * @param sampleTime The sample time of the new probe
     * @throws Exception
     */
    public void registerProbeInPump(String pump, String probe, Collection attributes, Long sampleTime) throws Exception;

    public Boolean modifyPumpCompression (Boolean state) throws ReflectionException, InstanceNotFoundException, MBeanException;
}
