/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id: Common.java,v 1.2 2005/09/15 14:22:15 goebelg Exp $
* --------------------------------------------------------------------------
*/
package org.objectweb.jimys.monitoredSystem.probe;

/**
 * Common Interface which must be implemented by an MBean which acts ass probe
 * @author Georges Goebel, Marc Calvisi
 */
public interface Common {
    /**
     * The identifier of the probe (xml tag)
     * @return The identifier
     */
    public String getIdentifier ();

    /**
     * Permits to test if the probe is alive
     * @return status of the probe
     */
    public boolean isAlive();

    /**
     * The full identifier with domain and instance name
     * e.g samoa.dc.frec.bull.fr;domain;instance;probe;CPUProbe
     * @return The full identifier
     */
    public String getFullIdentifier ();

}
