/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id: CpuMBean.java,v 1.2 2005/09/15 14:22:14 goebelg Exp $
* --------------------------------------------------------------------------
*/
package org.objectweb.jimys.monitoredSystem.probe.cpu;

import org.objectweb.jimys.monitoredSystem.probe.Common;

import java.io.Serializable;

/**
* Cpu probe
* @author Georges Goebel, Marc Calvisi
*/
public interface CpuMBean extends Serializable, Common {
    /**
     * The the cpu load in percentage
     * Calculated with 2 values between t0 and t1
     * @return The load in percentage
     */
    public Float getCPULoad();

    /**
     * Get the cpu value. (Absolute value of the proc file system)
     * @return The value
     */
    public float getCpu();


    /**
     * The sample time used to calculate the percentage of the cpuload
     * @return The cpu sample time
     */
    public int getCpuSampleTime();

    /**
     * Used to fire rule on manipulated data
     * @deprecated useless
     * @param cPUSampleTime
     */
    public void setCpuSampleTime(int cPUSampleTime);
}
