/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id: FileSystemMBean.java,v 1.2 2005/09/15 14:22:14 goebelg Exp $
* --------------------------------------------------------------------------
*/
package org.objectweb.jimys.monitoredSystem.probe.fileSystem;

import org.objectweb.jimys.monitoredSystem.probe.Common;

/**
* FileSystem probe
* @author Georges Goebel, Marc Calvisi
*/
public interface FileSystemMBean extends Common{
    /**
     * Get data data collected by the filesystemprobe
     * The result is NOT in XML
     * @return The data collected by the probe
     */
    public String getData();

    /**
     * Get the total IO load in percentage
     * Can produce values >> 100%
     * The format is XML
     * @return The value in percentage
     */
    public String getTotalIOLoad ();
}
