/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id: GenericJmxMBean.java,v 1.2 2005/09/15 14:22:14 goebelg Exp $
* --------------------------------------------------------------------------
*/
package org.objectweb.jimys.monitoredSystem.probe.genericJmx;

import org.objectweb.jimys.monitoredSystem.probe.Common;

/**
* GenericJmx probe
* @author Georges Goebel, Marc Calvisi
*/
public interface GenericJmxMBean extends Common {
    /**
     * Initialise the generic jmx probe
     * @param jmxUrl The url to the mbeanserver
     * @param configFile The config file of the generic jmx probe
     * @param rootNodeName The value of the root node in the xml result (getData)
     */
    public void init(String jmxUrl, String configFile, String rootNodeName);

    /**
     * The data collected by the probe.
     * The result is in XML
     * @return The collected data in xml format
     */
    public String getData();
}
