/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id: JonasMBean.java,v 1.2 2005/09/15 14:22:14 goebelg Exp $
* --------------------------------------------------------------------------
*/
package org.objectweb.jimys.monitoredSystem.probe.jonas;

import javax.management.ReflectionException;
import javax.management.InstanceNotFoundException;
import javax.management.MBeanException;
import javax.management.AttributeNotFoundException;
import java.io.IOException;

/**
 * GenericLogFile probe
 * @author Georges Goebel, Marc Calvisi
 * @deprecated Attention : Use jonasJmx probe -> this is only if you want to use the jonas probe
 * of Fran?ois
 */
public interface JonasMBean extends org.objectweb.jimys.monitoredSystem.probe.Common{
    /**
     * Get the data collected by the j2ee probe developped by francois W
     * @return The data in xml format
     * @throws ReflectionException
     * @throws InstanceNotFoundException
     * @throws IOException
     * @throws MBeanException
     * @throws AttributeNotFoundException
     */
    public String getData () throws ReflectionException, InstanceNotFoundException, IOException, MBeanException, AttributeNotFoundException;

    /**
     * The probe has been manually started an this mbean connects to the jonas mbeanserver
     * ATTENTION : You must use the version of the j2ee probe which was modified by jimys !!!
     * @param serverURL The url of the jonas mbean server
     * @param objectName Object name of the probe mbean
     * @param attribute The name of the attribute to collect
     */
    public void init(String serverURL, String objectName, String attribute);

    /**
     * The probe is automatically deployed to the jonas server
     * @param probeHome The probe home
     * @param probeConfigProperties The probe configproperties (file path)
     * @param serverURL The url of the MBeanserver of jonas
     * @param objectName The objectname of the probe
     * @param attribute The attributes to monitor
     */
    public void init(String probeHome, String probeConfigProperties, String serverURL, String objectName, String attribute);
}
