/**
* Copyright (C) 2005 - Bull S.A.
*
* Jimys - J2EE is monitoring your system
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2.1 of the License, or any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
* USA
*
* --------------------------------------------------------------------------
* $Id: LogMBean.java,v 1.3 2005/09/15 14:22:14 goebelg Exp $
* --------------------------------------------------------------------------
*/
package org.objectweb.jimys.monitoredSystem.probe.log;

import org.objectweb.jimys.monitoredSystem.probe.Common;

import java.util.logging.Level;

/**
* Log probe
* @author Georges Goebel, Marc Calvisi
*/
public interface LogMBean extends Common{
    /**
     * Retrive the data collected by the jonas log probe
     * Not in XML format
     * @return The log data collected
     */
    public String getJonasErrorLog ();

    /**
     * Initialize the Log probe
     * Works only with my modified JOnAS !!!
     * @param jmxURL The url of the MBeanServer of jonas
     * @param mBeanName The mbean name which gives the the log information back
     * @throws Exception
     */
    public void init (String jmxURL, String mBeanName) throws Exception;

    /**
     * Initialize the Log probe
     * Works only with my modified JOnAS !!!
     * @param jmxURL The url of the MBeanServer of jonas
     * @param mBeanName The mbean name which gives the the log information back
     * @param sLevel The level
     * @throws Exception
     */
    public void init (String jmxURL, String mBeanName, String sLevel) throws Exception;

    /**
     * Getter for the log level
     * @return The log Level
     */
    public Level getLevel();

    /**
     * Setter for the log level
     * @param level The log level
     */
    void setLevel(Level level);

}
